//  
//  Author:
//       smdn <smdn@smdn.jp>
// 
//  Copyright (c) 2004-2014 smdn
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

using System;
using System.Collections.Generic;
using System.Text;

using Smdn.Collections;
using Smdn.Formats.Ini;
using Smdn.Formats.Thbgm;

namespace Smdn.Applications.ThbgmExtractor {
  public static class Thplay {
    public const string ApplicationConfigFileName = "thplay.ini";

    public static void ImportApplicationConfig(string file)
    {
      var document = IniDocument.Load(file, Encoding.GetEncoding("shift_jis"));

      var listSection = document["List"];

      foreach (var pair in listSection) {
        var product = ProductInfo.FindMatchedProduct(pair.Value, ThbgmExtractor.Products); // InstalledBgmSourcePath will be updated

        if (product == null)
          continue;

        Console.WriteLine("imported installed bgm source path: {0} => {1}", product.Title, product.InstalledBgmSourcePath);
      }
    }
  }
}